Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 456898 - Package Updater never completes the resolution of dependencies.
Summary: Package Updater never completes the resolution of dependencies.
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: yum
Version: 8
Hardware: i386
OS: Linux
low
high
Target Milestone: ---
Assignee: Seth Vidal
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-28 14:48 UTC by Greg Denson
Modified: 2014-01-21 23:06 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-09-03 13:54:56 UTC
Type: ---


Attachments (Terms of Use)
Crash Dump file from Package Updater (1.85 KB, text/plain)
2008-07-28 14:48 UTC, Greg Denson
no flags Details

Description Greg Denson 2008-07-28 14:48:49 UTC
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:  Package Updater runs automatically to download updates.  Then
click on Apply Updates.  The Updater then starts to work on resolving
dependencies.  It never completes the process.  The status bar moves all the way
to the right, but the window never closes. 


Steps to Reproduce:
1.
2.
3.
  
Actual results:••••••••••The process never completes.  This morning, the system
reported that Package Updater was not responding, and that this was likely a bug
that needed to be reported.  A Crash Dump file is attached.


Expected results:


Additional info:

Comment 1 Greg Denson 2008-07-28 14:48:49 UTC
Created attachment 312780 [details]
Crash Dump file from Package Updater

Comment 2 James Antill 2008-08-18 19:40:12 UTC
  File "/usr/lib/python2.5/site-packages/yum/depsolve.py", line 501, in _requiringFromTransaction
    reqpkg = self.rpmdb.searchNevra(name=name, ver=version, rel=release)[0]
IndexError: list index out of range

...that looks somewhat familiar, so it's probably fixed post 3.2.8 (3.2.19 should be in updates-testing for Fedora 8 soon, I think). So that should solve your problem.

Comment 3 seth vidal 2008-09-03 13:54:56 UTC
3.2.19 is in updates-testing. Please reopen if this is not solved.


Note You need to log in before you can comment on or make changes to this bug.